streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::epoch_desc Struct Reference
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::epoch_desc:

## Public Member Functions

| epoch_desc (device_type d)

## Public Attributes

device_type | my_device
size_t | my_request_number

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
template<typename UserFunctor>
struct streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::epoch_desc

Definition at line 441 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## epoch_desc()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename UserFunctor >

streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::epoch_desc::epoch_desc | ( | device_type | d | ) |

inline

Definition at line 442 of file _flow_graph_streaming_node.h.

: my_device( d ), my_request_number( 0 ) {}
d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109
streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector::epoch_desc::my_device
device_type my_device
Definition: _flow_graph_streaming_node.h:443
streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector::epoch_desc::my_request_number
size_t my_request_number
Definition: _flow_graph_streaming_node.h:444

## Member Data Documentation

## my_device

template<typename... Ports, typename JP , typename StreamFactory >
template<typename UserFunctor >

device_type streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::epoch_desc::my_device

Definition at line 443 of file _flow_graph_streaming_node.h.

## my_request_number

template<typename... Ports, typename JP , typename StreamFactory >
template<typename UserFunctor >

size_t streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::epoch_desc::my_request_number

Definition at line 444 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.